> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Refresh Operator Connect integration

> This endpoint will make an asynchronous request to refresh the Operator Connect integration with Microsoft Teams for the current user. This will create new external connections on the user's account if needed, and/or report the integration results as [log messages](https://developers.telnyx.com/api-reference/external-connections/list-all-log-messages#list-all-log-messages).



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/real-time-communications/external-connects.yml post /operator_connect/actions/refresh
openapi: 3.1.0
info:
  title: Telnyx External Connects API
  version: 2.0.0
  description: API for External connects.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /operator_connect/actions/refresh:
    post:
      tags:
        - External Connections
      summary: Refresh Operator Connect integration
      description: >-
        This endpoint will make an asynchronous request to refresh the Operator
        Connect integration with Microsoft Teams for the current user. This will
        create new external connections on the user's account if needed, and/or
        report the integration results as [log
        messages](https://developers.telnyx.com/api-reference/external-connections/list-all-log-messages#list-all-log-messages).
      operationId: OperatorConnectRefresh
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                title: Operator Connect Refresh Response
                properties:
                  success:
                    type: boolean
                    description: Describes wether or not the operation was successful
                    example: true
                  message:
                    type: string
                    description: A message describing the result of the operation
                    example: Operator connect refresh already in progress
        '202':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                title: Operator Connect Refresh Response
                properties:
                  success:
                    type: boolean
                    description: Describes wether or not the operation was successful
                    example: true
                  message:
                    type: string
                    description: A message describing the result of the operation
                    example: Operator connect refresh started
        '401':
          description: Unauthorized
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Telnyx from 'telnyx';

            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });

            const response = await client.operatorConnect.actions.refresh();

            console.log(response.message);
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            response = client.operator_connect.actions.refresh()
            print(response.message)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tresponse, err := client.OperatorConnect.Actions.Refresh(context.TODO())\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", response.Message)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.operatorconnect.actions.ActionRefreshParams;

            import
            com.telnyx.sdk.models.operatorconnect.actions.ActionRefreshResponse;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    ActionRefreshResponse response = client.operatorConnect().actions().refresh();
                }
            }
        - lang: Ruby
          source: |-
            require "telnyx"

            telnyx = Telnyx::Client.new(api_key: "My API Key")

            response = telnyx.operator_connect.actions.refresh

            puts(response)
        - lang: PHP
          source: >-
            <?php


            require_once dirname(__DIR__) . '/vendor/autoload.php';


            use Telnyx\Client;

            use Telnyx\Core\Exceptions\APIException;


            $client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API
            Key');


            try {
              $response = $client->operatorConnect->actions->refresh();

              var_dump($response);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: CLI
          source: |-
            telnyx operator-connect:actions refresh \
              --api-key 'My API Key'
components:
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````